Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.i18n.phonenumbers
Class NumberParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.i18n.phonenumbers.NumberParseException

All Implemented Interfaces:
  java.io.Serializable

    public class NumberParseException

extends java.lang.Exception

Generic exception class for errors encountered when parsing phone numbers.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `NumberParseException.ErrorType`

Constructor Summary
`NumberParseException(NumberParseException.ErrorType errorType, java.lang.String message)`

Method Summary
`NumberParseException.ErrorType` | `getErrorType()` Returns the error type of the exception that has been thrown.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberParseException

    public NumberParseException(NumberParseException.ErrorType errorType,
                                java.lang.String message)

Method Detail

### getErrorType

    public NumberParseException.ErrorType getErrorType()

  Returns the error type of the exception that has been thrown.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD